package org.processmining.plugins.log.ui.logoverview;

import java.awt.Color;
import java.awt.Component;

import javax.swing.JCheckBox;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.ListCellRenderer;

import org.processmining.plugins.interactivevisualization.InteractivityManager;

public class TagsListCellRenderer implements ListCellRenderer {
	private InteractivityManager manager;
	
	public TagsListCellRenderer(InteractivityManager manager) {
		this.manager = manager;
	}
	
	@Override
	public Component getListCellRendererComponent(JList list, Object value,
			int index, boolean isSelected, boolean cellHasFocus) {
				
		if(value instanceof ListElementTag) {
			return new JLabel(((ListElementTag)value).getTagName());
		}
		else if(value instanceof ListElementInstance) {
			JCheckBox checkbox;
			
			checkbox = new JCheckBox(value.toString());
			checkbox.setBackground((isSelected ? new Color(0, 0, 255, 40) : Color.WHITE));
			checkbox.setSelected(manager.isTagEnabled(((ListElementInstance) value).getTagName(), ((ListElementInstance) value).getInstanceName()));
			
			return checkbox;
		}
		else {
			return new JLabel("Something went wrong!");
		}
	}
}
